Bug 204629 - [exp-run] devel/cmake: Update to 3.4.0.
Summary: [exp-run] devel/cmake: Update to 3.4.0.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2015-11-17 12:31 UTC by Raphael Kubo da Costa
Modified: 2015-11-30 14:22 UTC (History)
3 users (show)

See Also:
rakuco: exp-run?


Attachments
Patch v1 (24.82 KB, patch)
2015-11-17 14:15 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v2 (33.20 KB, patch)
2015-11-27 11:05 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2015-11-17 12:31:55 UTC
kde@ would like an exp-run for CMake 3.4.0, affecting devel/cmake, devel/cmake-modules and devel/cmake-gui.

Patch available at https://people.freebsd.org/~rakuco/exp-runs/cmake-3.4.0-v1.patch
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-17 12:54:41 UTC
@Raphael, can you attach the patch to this issue please, thanks!
Comment 2 Raphael Kubo da Costa freebsd_committer 2015-11-17 14:15:44 UTC
Created attachment 163248 [details]
Patch v1

Patch v1 attached. Is this a new requirement for exp-runs?
Comment 3 Antoine Brodin freebsd_committer 2015-11-18 08:55:18 UTC
Exp-run results on 9.3 amd64:

http://package23.nyi.freebsd.org/jail.html?mastername=93amd64-default-PR204629

New failures:

+ {"origin"=>"databases/kbibtex", "pkgname"=>"kbibtex-0.6", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/kdbg", "pkgname"=>"kdbg-2.5.2_3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"devel/libcxxrt", "pkgname"=>"libcxxrt-20131225_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/qross", "pkgname"=>"qross-0.3.1_2", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"multimedia/k9copy-kde4", "pkgname"=>"k9copy-2.3.4_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/kaffeine", "pkgname"=>"kaffeine-1.3.1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"sysutils/kuser", "pkgname"=>"kuser-4.14.3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"www/webkit2-gtk3", "pkgname"=>"webkit2-gtk3-2.8.5", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"x11-themes/kdeartwork4", "pkgname"=>"kdeartwork-4.14.3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/fltk-devel", "pkgname"=>"fltk-devel-1.3.x.r10370_2", "phase"=>"configure", "errortype"=>"process_failed"}
+ {"origin"=>"x11/kgamma", "pkgname"=>"kgamma-4.14.3", "phase"=>"configure", "errortype"=>"???"}

Failure logs:

http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/kbibtex-0.6.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/kdbg-2.5.2_3.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/libcxxrt-20131225_2.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/qross-0.3.1_2.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/k9copy-2.3.4_14.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/kaffeine-1.3.1.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/kuser-4.14.3.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/webkit2-gtk3-2.8.5.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/kdeartwork-4.14.3.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/fltk-devel-1.3.x.r10370_2.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR204629/2015-11-18_06h14m31s/logs/errors/kgamma-4.14.3.log
Comment 4 Antoine Brodin freebsd_committer 2015-11-18 17:50:43 UTC
Exp-run results on 10.1 amd64:

http://package23.nyi.freebsd.org/jail.html?mastername=101amd64-default-PR204629

New failures:

+ {"origin"=>"databases/kbibtex", "pkgname"=>"kbibtex-0.6", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/kdbg", "pkgname"=>"kdbg-2.5.2_3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"devel/libcxxrt", "pkgname"=>"libcxxrt-20131225_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/qross", "pkgname"=>"qross-0.3.1_2", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"multimedia/k9copy-kde4", "pkgname"=>"k9copy-2.3.4_14", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/kaffeine", "pkgname"=>"kaffeine-1.3.1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"sysutils/kuser", "pkgname"=>"kuser-4.14.3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"www/webkit2-gtk3", "pkgname"=>"webkit2-gtk3-2.8.5", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"x11-themes/kdeartwork4", "pkgname"=>"kdeartwork-4.14.3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/fltk-devel", "pkgname"=>"fltk-devel-1.3.x.r10370_2", "phase"=>"configure", "errortype"=>"process_failed"}
+ {"origin"=>"x11/kgamma", "pkgname"=>"kgamma-4.14.3", "phase"=>"configure", "errortype"=>"???"}

Failure logs:

http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/kbibtex-0.6.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/kdbg-2.5.2_3.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/libcxxrt-20131225_2.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/qross-0.3.1_2.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/k9copy-2.3.4_14.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/kaffeine-1.3.1.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/kuser-4.14.3.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/webkit2-gtk3-2.8.5.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/kdeartwork-4.14.3.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/fltk-devel-1.3.x.r10370_2.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR204629/2015-11-18_16h19m06s/logs/errors/kgamma-4.14.3.log
Comment 5 Antoine Brodin freebsd_committer 2015-11-27 09:25:30 UTC
Tell me when you need a second run.
Comment 6 Raphael Kubo da Costa freebsd_committer 2015-11-27 11:05:45 UTC
Created attachment 163577 [details]
Patch v2

I need another exp-run :-)
Patch v2 attached and also available from https://people.freebsd.org/~rakuco/exp-runs/cmake-3.4.0-v2.patch

I believe I've fixed all failures either in ports or in this patch.
Comment 8 commit-hook freebsd_committer 2015-11-30 14:21:10 UTC
A commit references this bug:

Author: rakuco
Date: Mon Nov 30 14:20:14 UTC 2015
New revision: 402670
URL: https://svnweb.freebsd.org/changeset/ports/402670

Log:
  Update CMake to 3.4.0.

  Release notes: https://cmake.org/cmake/help/v3.4/release/3.4.html

  - Bump PORTREVISION in a few ports that do not ship SOVERSIONed libraries
    anymore (see https://cmake.org/gitweb?p=cmake.git;a=commit;h=f799ffb5).
  - Switch MASTER_SITES to https.

  PR:		204629

Changes:
  head/databases/kbibtex/Makefile
  head/databases/kbibtex/pkg-plist
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-Modules_FindwxWidgets.cmake
  head/devel/cmake/files/patch-git_9682de56
  head/devel/cmake/files/patch-git_9d653f9c
  head/devel/cmake/files/patch-git_ffa6f057
  head/devel/cmake/pkg-plist
  head/devel/cmake-gui/Makefile
  head/devel/cmake-modules/pkg-plist
  head/devel/qross/Makefile
  head/devel/qross/pkg-plist